﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace KidPaint
{
    public static class Extensions
    {
        public static double GetHash( this Color color )
        {
            long r = color.R;
            long g = color.G;
            long b = color.B;
            float bright = color.GetBrightness();

            if ( (r == g && r == b) || bright < 0.2 || bright > 0.85 )
                return 0;

            return (int)color.GetHue() / 20 + color.GetSaturation();
        }

        public static double GetHash( this SolidBrush brush )
        {
            return brush.Color.GetHash();
        }
    }
}